Bug 5847 - Clean up JWS application java code.
: Clean up JWS application java code.
Status: CLOSED FIXED
: GridShib
GridShib-CA
: 0.5
: All All
: P3 normal
: 0.5.3
Assigned To:
:
:
:
: 5298 5823
  Show dependency treegraph
 
Reported: 2008-02-05 18:48 by
Modified: 2009-08-26 22:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-05 18:48:38
This code has organically grown into a mess. This mainly refers to
CredentialRetriever.java. Specially:
* Pull MySSLSocketFactory into its own class
* Make a trustedCA client as its own class
* Break up doit() into reasonable functions.
------- Comment #1 From 2009-06-15 21:45:14 -------
Refactoring into a set of classes. Plan to release in 0.5.3.
------- Comment #2 From 2009-06-30 22:43:40 -------
Working on this on NEW_JWS_CLIENT_BRANCH

Do not plan to release on 0.5 branch, too big of a change. Will be part of 0.6
release.
------- Comment #3 From 2009-08-02 21:00:51 -------
Now on 0.5 branch and slated for 1.0 release. Will close when released.
------- Comment #4 From 2009-08-26 22:06:28 -------
In 1.0.0 release.